View Issue Details

IDProjectCategoryView StatusLast Update
0000634DraftBugpublic2012-08-11 19:26
ReporterpperisinAssigned Toyorik 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000634: Draft <--> Sketch conversion
DescriptionHi,

I have attached a file. It has one Face.

You can explode this face to wires. Once you do, You can convert all those wires to sketches, but issues appear:

1 - sketch is moved to XY plane - does not keep correct plane

2 - arcs import badly
Additional Information0.13 unstable (0699) on win7 64 bit.
TagsNo tags attached.

Relationships

parent of 0000718 closedyorik Draft to Sketch conversion malfunctions 

Activities

2012-03-12 10:53

 

draftissue.FCStd (16,803 bytes)

yorik

2012-03-12 21:32

administrator   ~0001758

ok, I'll have a look

pperisin

2012-03-13 13:52

reporter   ~0001762

Just wanted to note that sometimes sketch looks good, but if you open it (double click on it) it starts looking bad. But when it is closed, it looks good.

Regards
Petar

yorik

2012-03-13 14:06

administrator   ~0001763

Okay indeed the arcs are wrong... But the sketch orientation seems OK to me (I tried rotating the face before exploding). I'm looking at the arcs issue now

yorik

2012-03-13 15:12

administrator   ~0001765

hm this is really hard to solve, the sketcher has a lot of problems when you add geoms that have different orientations than the base sketch

yorik

2012-08-11 19:26

administrator   ~0002316

Fixed in 7a338f3. As far as I tested, draft to sketch conversions now behave correctly. There is a shift in some shapes that are not on the XY plane, but I suppose this is as far as I can fix at the moment.

Issue History

Date Modified Username Field Change
2012-03-12 10:19 pperisin New Issue
2012-03-12 10:53 pperisin File Added: draftissue.FCStd
2012-03-12 21:31 yorik Status new => assigned
2012-03-12 21:31 yorik Assigned To => yorik
2012-03-12 21:32 yorik Note Added: 0001758
2012-03-13 13:52 pperisin Note Added: 0001762
2012-03-13 14:06 yorik Note Added: 0001763
2012-03-13 15:12 yorik Note Added: 0001765
2012-05-04 13:14 yorik Project FreeCAD => Draft
2012-05-23 11:31 yorik Relationship added parent of 0000718
2012-08-11 19:26 yorik Note Added: 0002316
2012-08-11 19:26 yorik Status assigned => closed
2012-08-11 19:26 yorik Resolution open => fixed
2012-08-11 19:26 yorik Fixed in Version => 0.13